import { CoreoAPIService } from '../../services/coreo';
export class CoreoApiComponent {
    constructor() {
        this.src = 'https://api.coreo.io';
    }
    async create() {
        if (!this.api) {
            this.api = new CoreoAPIService(this.token, this.src);
        }
        return Promise.resolve(this.api);
    }
    static get is() { return "coreo-api"; }
    static get properties() { return {
        "create": {
            "method": true
        },
        "src": {
            "type": String,
            "attr": "src"
        },
        "token": {
            "type": String,
            "attr": "token"
        }
    }; }
}
