/*! Built with http://stenciljs.com */
import { h } from '../coreo.core.js';

class CoreoRecordTableColumnComponent {
    componentWillLoad() {
        console.log('[coreo-record-table-column] componentWillLoad');
    }
    componentDidLoad() {
        console.log('[coreo-record-table-column] componentDidLoad');
        this.registerColumn.emit(this);
    }
    render() {
        return false;
    }
    static get is() { return "coreo-record-table-column"; }
    static get properties() { return {
        "attr": {
            "type": String,
            "attr": "attr"
        },
        "el": {
            "elementRef": true
        },
        "label": {
            "type": String,
            "attr": "label"
        }
    }; }
    static get events() { return [{
            "name": "registerColumn",
            "method": "registerColumn",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
}

export { CoreoRecordTableColumnComponent as CoreoRecordTableColumn };
