import '../../stencil.core';
import { EventEmitter } from '../../stencil.core';
import { CoreoAPIService } from '../../services/coreo';
import { ICoreoAPIController } from '../coreo-api/coreo-api.interface';
export declare class CoreoForm {
    el: HTMLElement;
    apiCtrl: ICoreoAPIController;
    projectId: number;
    surveyId: number;
    attrs: any[];
    recordSubmitSuccess: EventEmitter;
    recordSubmitFailure: EventEmitter;
    apiService: CoreoAPIService;
    form: HTMLFormElement;
    componentWillLoad(): void;
    componentDidLoad(): void;
    private loadForm;
    private renderAttribute;
    private handleSubmit;
    render(): JSX.Element;
}
