/// <reference types="node" />
import { ICoreoAPIController } from '../coreo-api/coreo-api.interface';
import { CoreoAPIService } from '../../services/coreo';
export declare class CoreoRecordImageSliderComponent {
    el: HTMLElement;
    syncError: boolean;
    imageAttributes: any;
    timeoutObj: NodeJS.Timer;
    currentIndex: number;
    previousIndex: number;
    apiCtrl: ICoreoAPIController;
    projectId: number;
    recordId: number;
    slideInterval: number;
    apiService: CoreoAPIService;
    componentWillLoad(): void;
    _loadImages(): void;
    move: (newIndex: any) => void;
    advance: () => void;
    nextButtonHandler: () => void;
    previousButtonHandler: () => void;
    slideButtonHandler: (newIndex: number) => void;
    render(): any;
}
