
// coreo: Custom Elements Define Library, ES Module/es2017 Target

import { defineCustomElement } from './coreo.core.js';
import {
  CoreoApiComponent,
  CoreoChartComponent,
  CoreoForm,
  CoreoLoginComponent,
  CoreoMapComponent,
  CoreoMapMarkerclusterComponent,
  CoreoMapPolylinesComponent,
  CoreoMapTilelayerComponent,
  CoreoMapboxComponent,
  CoreoPiechartComponent,
  CoreoProjectUserLeaderboardComponent,
  CoreoRecordAttributesComponent,
  CoreoRecordCardComponent,
  CoreoRecordCardsComponent,
  CoreoRecordCountComponent,
  CoreoRecordImageComponent,
  CoreoRecordImageCoverComponent,
  CoreoRecordImageSliderComponent,
  CoreoRecordListComponent,
  CoreoRecordQueryComponent,
  CoreoRecordTableColumnComponent,
  CoreoRecordTableComponent,
  CoreoSpinner
} from './coreo.components.js';

export function defineCustomElements(win, opts) {
  return defineCustomElement(win, [
    CoreoApiComponent,
    CoreoChartComponent,
    CoreoForm,
    CoreoLoginComponent,
    CoreoMapComponent,
    CoreoMapMarkerclusterComponent,
    CoreoMapPolylinesComponent,
    CoreoMapTilelayerComponent,
    CoreoMapboxComponent,
    CoreoPiechartComponent,
    CoreoProjectUserLeaderboardComponent,
    CoreoRecordAttributesComponent,
    CoreoRecordCardComponent,
    CoreoRecordCardsComponent,
    CoreoRecordCountComponent,
    CoreoRecordImageComponent,
    CoreoRecordImageCoverComponent,
    CoreoRecordImageSliderComponent,
    CoreoRecordListComponent,
    CoreoRecordQueryComponent,
    CoreoRecordTableColumnComponent,
    CoreoRecordTableComponent,
    CoreoSpinner
  ], opts);
}
