import { EventEmitter } from '../../stencil.core';
import { ICoreoAPIController } from '../coreo-api/coreo-api.interface';
import { CoreoAPIService } from '../../services/coreo';
export declare class CoreoRecordListComponent {
    el: HTMLElement;
    records: any;
    syncError: boolean;
    apiCtrl: ICoreoAPIController;
    projectId: number;
    surveyId: string;
    parentId: number;
    timeframe: number;
    verified: boolean;
    limit: number;
    order: string;
    recordClicked: EventEmitter;
    recordClickedHandler(recordId: number): void;
    apiService: CoreoAPIService;
    componentWillLoad(): void;
    _update(): void;
    render(): any;
}
